Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
RHEL Engineering is moving the tracking of its product development work on RHEL 6 through RHEL 9 to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "RHEL project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs in the statuses "NEW", "ASSIGNED", and "POST" are being migrated throughout September 2023. Bugs of Red Hat partners with an assigned Engineering Partner Manager (EPM) are migrated in late September as per pre-agreed dates. Bugs against components "kernel", "kernel-rt", and "kpatch" are only migrated if still in "NEW" or "ASSIGNED". If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "RHEL project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/RHEL-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 1193178 - RHEL7.2 - ghc_arches and ocaml_arches not up to date for ppc64le/aarch64
Summary: RHEL7.2 - ghc_arches and ocaml_arches not up to date for ppc64le/aarch64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: redhat-rpm-config
Version: 7.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: pre-dev-freeze
: 7.3
Assignee: Florian Festi
QA Contact: Karel Srot
URL:
Whiteboard:
Depends On:
Blocks: epel7ppc64le 1277314 epel7aarch64 1289025 1378657
TreeView+ depends on / blocked
 
Reported: 2015-02-16 18:53 UTC by Menanteau Guy
Modified: 2016-11-04 04:46 UTC (History)
7 users (show)

Fixed In Version: redhat-rpm-config-9.1.0-69.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-04 04:46:07 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)
add ppc64le epel 7 support in redhat-rpm-config macros (deleted)
2015-02-16 18:53 UTC, Menanteau Guy
no flags Details | Diff
Add aarch64 and ppc64le to ghc, ocaml, and GNAT arches (#1193178) (deleted)
2015-12-08 04:42 UTC, Yaakov Selkowitz
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2372 0 normal SHIPPED_LIVE redhat-rpm-config bug fix and enhancement update 2016-11-03 13:51:20 UTC

Description Menanteau Guy 2015-02-16 18:53:55 UTC
Created attachment 992326 [details]
add ppc64le epel 7 support in redhat-rpm-config macros

I am trying to build epel 7 ppc64le using a redhat Server machine based on 
image redhat/beta_cds/RHEL-LE-7.1-Snapshot-5/Server/ppc64le/iso/RHEL-LE-7.1-20150129.0-Server-ppc64le-dvd1.iso

ghc-rpm-macros package reports "error: Architecture is not included: ppc64le"

After looking to redhat-rpm-config-9.1.0, I have seen a discrepancy between the version level used in fedora (redhat-rpm-config-27-1)

ghc_arches and ghc_ocaml at least seems not up to date.

Applying following patch on redhat-rpm-config-9.1.0 to reach the redhat-rpm-config-27-1 version, resolves ghc-rpm-macros build package, but I am not sure 
ocaml changes should be applied like this. Please check.

Comment 3 Yaakov Selkowitz 2015-11-25 23:43:14 UTC
Same applies to aarch64.

Comment 7 Yaakov Selkowitz 2015-12-08 04:42:55 UTC
Created attachment 1103452 [details]
Add aarch64 and ppc64le to ghc, ocaml, and GNAT arches (#1193178)

Comment 15 errata-xmlrpc 2016-11-04 04:46:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2372.html


Note You need to log in before you can comment on or make changes to this bug.